function display_raw_loop( impl_list, rec_list )

  if nargin < 2
    error( [ mfilename ' needs 2 input arguments.' ] );
  end
  
  % For each implementation (FULL, FAST or FASTTDE)

  for i_impl = 1:numel( impl_list )

    impl_name = impl_list{ i_impl };

    % For each recording

    for i_rec = 1:numel( rec_list )
      
      rec_name = rec_list{ i_rec };

      % Display the result, along with the ground-truth

      display_raw( [ 'DATA/eval_detloc-classify_cluster_sns-wa_sns_model-' impl_name '_detect_locate_wrapper-' rec_name '-result.mat' ] );
      
    end

  end
  