function s060223_fit_audio_model( input_ssm_result_filename )
  
  load( input_ssm_result_filename, 'ssm_result' );
  
  
  a_par = [];
  
  a_par.summary_min_iter = 10;
  a_par.summary_max_iter = 100;
  a_par.summary_lkld_conv = 1e-5;
  
  a_par.fulldata_min_iter = 5;
  a_par.fulldata_max_iter = 10;
  a_par.fulldata_lkld_conv = 1e-5;
  
  ssm_result.model_2d2g1sr = fit_2d2g1sr( ssm_result.activeness, a_par );
  
  save( input_ssm_result_filename, 'ssm_result' );
  
  disp( [ mfilename ' updated file "' input_ssm_result_filename '".' ] );
  