function s060831_show_cc_result_color_bw

close all


load /home/speech/lathoud/FEATURES/avcalib/seq11-1p-0100/s060309_run_cc_analysis_weight-seq11-1p-0100.mat

for a=1:3
  
  [tmp,ind] = max( cc_result.list( a ).cov_mat, [], 3 );
  % Rotate the sectors a bit
  
  a_shift = 4;
  
  ind = 1 + mod( ind + a_shift - 1, 18 );



  mask = tmp > exp( -6 );

  disp( max( ind(:) .* mask(:) ) );


  %  figure; imagesc( tmp .* mask ); colorbar;
  hfig = figure(a); clf; colormap('jet' );him = image( ind .* mask ); 
  cccp = colormap;
  cccp = cccp( 1 + round( (0.5:19) / 19 * ( size( cccp, 1 ) - 1 ) ), : );
  cccp(1,:)=0
  colormap( cccp );
  h = colorbar;
  set(h,'ytick', 1:19, 'yticklabel', cat( 2, {'none'}, num2cell( 1+mod( (1:18) -a_shift-1, 18 ) ) ) );
  set(h,'YLim', [ 0.5 19.5 ] );
  set(h,'fontsize',16);
  set(gca,'fontsize',20);
  set(gca,'xtick',[1 4:4:32], 'ytick', [1 4:4:24] );

  title([ 'seq11, camera #' num2str(a) ] );

  % Write out color .eps file
  out_filename = fullfile( 'DATA', [ mfilename sprintf( '-cam%d.matlab.eps', a ) ] );
  print( hfig, '-depsc2', out_filename );
  disp( [ mfilename ' wrote out "' out_filename '".' ] );
  
  % Convert to gray levels
  cccp = colormap;
  n = size( cccp, 1 ) - 1;
  
  new_n = 12;
  
  cccp = [ cccp( 1,: ); 0.15 + 0.85 * repmat( (0:new_n-1).' / ( new_n-1 ), 1, 3 ) ];
 
  set( h, [ 'YLim' ], [ 0.5 new_n + 1.5 ] );
  
%  cccp( 2:end, : ) = 0.15 + 0.85 * repmat( (0:n-1).' / (n-1), 1, 3 );
  colormap( cccp );
 
  % Write out gray .eps file
  out_filename = fullfile( 'DATA', [ mfilename sprintf( '-cam%d-bw.matlab.eps', a ) ] );
  print( hfig, '-depsc2', out_filename );
  disp( [ mfilename ' wrote out "' out_filename '".' ] );

end
